Skip to main content
GET
/
v1
/
consumption
/
etl-users
Get a breakdown of your credit consumption for ETL Users
curl --request GET \
  --url https://eu1.api.matillion.com/dpc/v1/consumption/etl-users \
  --header 'Authorization: Bearer <token>'
{
  "chargedUsers": [
    {
      "username": "User 6"
    },
    {
      "username": "User 7"
    }
  ],
  "consumedBefore": "2024-01-31T00:00:00.000Z",
  "consumedFrom": "2024-01-01T00:00:00.000Z",
  "credits": 100
}

Authorizations

Authorization
string
header
required

a valid bearer token

Query Parameters

consumedFrom
string<date-time>
required

First date+time to include in results (inclusive)

consumedBefore
string<date-time>
required

Date+time before which results should be included (exclusive)

Response

Successful

chargedUsers
object[]

The users whose activity contributed credit charges. This does not include users who contributed to the included monthly users allowance, if applicable.

Example:
[
{ "username": "User 6" },
{ "username": "User 7" }
]
consumedBefore
string<date-time>

Date+time before which results are included (UTC) (exclusive)

Example:

"2024-01-31T00:00:00.000Z"

consumedFrom
string<date-time>

First date+time included in results (UTC) (inclusive)

Example:

"2024-01-01T00:00:00.000Z"

credits
number<double>

The total credits charged during this period

Example:

100